Bug 235178 - graphics/wayland-protocols needs an update to 1.17
Summary: graphics/wayland-protocols needs an update to 1.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-24 14:07 UTC by contact
Modified: 2019-02-12 23:00 UTC (History)
2 users (show)

See Also:
jbeich: maintainer-feedback-
zeising: merge-quarterly+


Attachments
v1 (has commit message) (2.56 KB, patch)
2019-01-24 19:44 UTC, Jan Beich
jbeich: maintainer-approval? (x11)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description contact 2019-01-24 14:07:37 UTC
Current version (1.16) is outdated. This makes wlroots builds fail: https://github.com/swaywm/wlroots/pull/1493
Comment 1 Jan Beich freebsd_committer 2019-01-24 18:08:53 UTC
MFH to 2019Q1 would be required as builds.sr.ht is on /quarterly package set (default, e.g., /latest has mesa-libs 18.3.2).
Comment 2 contact 2019-01-24 18:25:55 UTC
> MFH to 2019Q1 would be required as builds.sr.ht is on /quarterly package set (default, e.g., /latest has mesa-libs 18.3.2).

Hmm. I don't see wayland-protocols 1.17 in the latest ports tree. Is it supposed to be there?
Comment 3 Jan Beich freebsd_committer 2019-01-24 18:50:05 UTC
(In reply to contact from comment #2)
No, 1.17 isn't in ports (or /latest) yet.
Comment 4 contact 2019-01-24 18:54:06 UTC
Oh okay.

Filled this for builds.sr.ht: https://todo.sr.ht/%7Esircmpwn/builds.sr.ht/182

Automating FreeBSD image generation is on my TODO-list, and that would allow us to have more FreeBSD images. We need to run the install in an unattended manner and bsdinstall is not yet ready for this. Anyway, after it's done, we should have clearly separated quaterly and latest images.
Comment 5 Jan Beich freebsd_committer 2019-01-24 19:44:29 UTC
Created attachment 201379 [details]
v1 (has commit message)

Build logs from "poudriere bulk -t":
- devel/sdl20: https://ptpb.pw/LpOM
- graphics/glfw: https://ptpb.pw/yh__
- graphics/mesa-dri: https://ptpb.pw/vEc0
- graphics/mesa-libs: https://ptpb.pw/FRq3
- graphics/wayland-protocols: https://ptpb.pw/wC8z
- multimedia/kodi-devel: https://ptpb.pw/pYlo
- multimedia/mpv: https://ptpb.pw/Rf1Y
- multimedia/vlc: https://ptpb.pw/LY2z
- x11-servers/xwayland: https://ptpb.pw/NrFF
- x11-toolkits/gtk30: https://ptpb.pw/z9k0
- x11-toolkits/wlroots: https://ptpb.pw/dDhS
- x11-wm/sway: https://ptpb.pw/URFK
- x11/grim: https://ptpb.pw/2roh
- x11/slurp: https://ptpb.pw/F7pR
- x11/swayidle: https://ptpb.pw/bRBq
- x11/swaylock: https://ptpb.pw/78e4

(In reply to contact from comment #4)
> Filled this for builds.sr.ht: https://todo.sr.ht/%7Esircmpwn/builds.sr.ht/182

Thanks. After that xcb-util-errors can be uncommented in wlroots/.builds/freebsd.yml.
Comment 6 Jan Beich freebsd_committer 2019-02-09 12:57:25 UTC
Maintainer timeout[1] has reached. Can any other ports/ committer land the patch here (don't forget MFH tag)?

[1] https://www.freebsd.org/doc/en/books/porters-handbook/makefile-maintainer.html
    https://www.freebsd.org/portmgr/policies_contributors.html
Comment 7 commit-hook freebsd_committer 2019-02-11 16:06:33 UTC
A commit references this bug:

Author: zeising
Date: Mon Feb 11 16:05:57 UTC 2019
New revision: 492698
URL: https://svnweb.freebsd.org/changeset/ports/492698

Log:
  graphics/wayland-protocols: Update to 1.17

  Changes:	https://cgit.freedesktop.org/wayland/wayland-protocols/log/?h=1.17
  PR:		235178
  Submitted by:	contact@emersion.fr (for builds.sr.ht), jbeich
  MFH:		2019Q1 (no changes to existing protocols, facilitates automation elsewhere)
  Sponsored by:	B3 Init (zeising)

Changes:
  head/graphics/wayland-protocols/Makefile
  head/graphics/wayland-protocols/distinfo
  head/graphics/wayland-protocols/pkg-plist
Comment 8 Niclas Zeising freebsd_committer 2019-02-11 16:07:19 UTC
Pending MFH
Comment 9 commit-hook freebsd_committer 2019-02-12 18:32:40 UTC
A commit references this bug:

Author: zeising
Date: Tue Feb 12 18:32:17 UTC 2019
New revision: 492798
URL: https://svnweb.freebsd.org/changeset/ports/492798

Log:
  MFH: r492698

  graphics/wayland-protocols: Update to 1.17

  Changes:	https://cgit.freedesktop.org/wayland/wayland-protocols/log/?h=1.17
  PR:		235178
  Submitted by:	contact@emersion.fr (for builds.sr.ht), jbeich
  Sponsored by:	B3 Init (zeising)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/graphics/wayland-protocols/Makefile
  branches/2019Q1/graphics/wayland-protocols/distinfo
  branches/2019Q1/graphics/wayland-protocols/pkg-plist
Comment 10 Niclas Zeising freebsd_committer 2019-02-12 18:34:27 UTC
All done.
Comment 11 contact 2019-02-12 23:00:08 UTC
Thanks!